Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Class SAGConstants.C_SNL_PrimitiveNames

    java.lang.Object
      com.stc.connector.sagadapter.sagapi.SAGConstants.C_SNL_PrimitiveNames

Enclosing class:
  SAGConstants

    public static class SAGConstants.C_SNL_PrimitiveNames

extends java.lang.Object

Constants for SNL Primitive Names.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/07/06 23:52:30 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`SAGConstants.C_SNL_PrimitiveNames()`

Method Summary
`static java.lang.String` | `getAbortFileRequest()`
`static java.lang.String` | `getAbortFileResponse()`
`static java.lang.String` | `getCreateContextRequest()`
`static java.lang.String` | `getCreateContextResponse()`
`static java.lang.String` | `getDestroyContextRequest()`
`static java.lang.String` | `getDestroyContextResponse()`
`static java.lang.String` | `getExchangeFileRequest()`
`static java.lang.String` | `getExchangeFileResponse()`
`static java.lang.String` | `getExchangeRequest()`
`static java.lang.String` | `getExchangeResponse()`
`static java.lang.String` | `getExchangeSnFRequest()`
`static java.lang.String` | `getExchangeSnFResponse()`
`static java.lang.String` | `getFetchFileRequest()`
`static java.lang.String` | `getFetchFileResponse()`
`static java.lang.String` | `getGetDateTimeRequest()`
`static java.lang.String` | `getGetDateTimeResponse()`
`static java.lang.String` | `getGetFileDigestRequest()`
`static java.lang.String` | `getGetFileDigestResponse()`
`static java.lang.String` | `getGetFileStatusRequest()`
`static java.lang.String` | `getGetFileStatusResponse()`
`static java.lang.String` | `getGetSnFStatusRequest()`
`static java.lang.String` | `getGetSnFStatusResponse()`
`static java.lang.String` | `getHandleFileEventRequest()`
`static java.lang.String` | `getHandleFileEventResponse()`
`static java.lang.String` | `getHandleFileRequest()`
`static java.lang.String` | `getHandleFileResponse()`
`static java.lang.String` | `getHandleInitRequest()`
`static java.lang.String` | `getHandleInitResponse()`
`static java.lang.String` | `getHandleRequest()`
`static java.lang.String` | `getHandleResponse()`
`static java.lang.String` | `getHandleResponseInfoRequest()`
`static java.lang.String` | `getHandleResponseInfoResponse()`
`static java.lang.String` | `getHandleSnFRequest()`
`static java.lang.String` | `getHandleSnFResponse()`
`static java.lang.String` | `getHandleTermRequest()`
`static java.lang.String` | `getHandleTermResponse()`
`static java.lang.String` | `getInitRequest()`
`static java.lang.String` | `getInitResponse()`
`static java.lang.String` | `getKMACertifyRequest()`
`static java.lang.String` | `getKMACertifyResponse()`
`static java.lang.String` | `getKMACertInfoRequest()`
`static java.lang.String` | `getKMACertInfoResponse()`
`static java.lang.String` | `getKMACertListRequest()`
`static java.lang.String` | `getKMACertListResponse()`
`static java.lang.String` | `getKMAChangePasswordRequest()`
`static java.lang.String` | `getKMAChangePasswordResponse()`
`static java.lang.String` | `getListFileStatusRequest()`
`static java.lang.String` | `getListFileStatusResponse()`
`static java.lang.String` | `getPullSnFRequest()`
`static java.lang.String` | `getPullSnFResponse()`
`static java.lang.String` | `getSendRequest()`
`static java.lang.String` | `getSendResponse()`
`static java.lang.String` | `getSignEncryptRequest()`
`static java.lang.String` | `getSignEncryptResponse()`
`static java.lang.String` | `getSMAGetStatusRequest()`
`static java.lang.String` | `getSMAGetStatusResponse()`
`static java.lang.String` | `getSubscribeFileEventRequest()`
`static java.lang.String` | `getSubscribeFileEventResponse()`
`static java.lang.String` | `getTermRequest()`
`static java.lang.String` | `getTermResponse()`
`static java.lang.String` | `getVerifyDecryptRequest()`
`static java.lang.String` | `getVerifyDecryptResponse()`
`static java.lang.String` | `getWaitRequest()`
`static java.lang.String` | `getWaitResponse()`
`static boolean` | `hasValue(java.lang.String value)` Checks whether the constant category has/contains the specified value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAGConstants.C_SNL_PrimitiveNames

    public SAGConstants.C_SNL_PrimitiveNames()

Method Detail

### getInitRequest

    public static final java.lang.String getInitRequest()

  Returns:

### getInitResponse

    public static final java.lang.String getInitResponse()

  Returns:

### getHandleInitRequest

    public static final java.lang.String getHandleInitRequest()

  Returns:

### getHandleInitResponse

    public static final java.lang.String getHandleInitResponse()

  Returns:

### getTermRequest

    public static final java.lang.String getTermRequest()

  Returns:

### getTermResponse

    public static final java.lang.String getTermResponse()

  Returns:

### getHandleTermRequest

    public static final java.lang.String getHandleTermRequest()

  Returns:

### getHandleTermResponse

    public static final java.lang.String getHandleTermResponse()

  Returns:

### getCreateContextRequest

    public static final java.lang.String getCreateContextRequest()

  Returns:

### getCreateContextResponse

    public static final java.lang.String getCreateContextResponse()

  Returns:

### getDestroyContextRequest

    public static final java.lang.String getDestroyContextRequest()

  Returns:

### getDestroyContextResponse

    public static final java.lang.String getDestroyContextResponse()

  Returns:

### getSignEncryptRequest

    public static final java.lang.String getSignEncryptRequest()

  Returns:

### getSignEncryptResponse

    public static final java.lang.String getSignEncryptResponse()

  Returns:

### getVerifyDecryptRequest

    public static final java.lang.String getVerifyDecryptRequest()

  Returns:

### getVerifyDecryptResponse

    public static final java.lang.String getVerifyDecryptResponse()

  Returns:

### getExchangeRequest

    public static final java.lang.String getExchangeRequest()

  Returns:

### getExchangeResponse

    public static final java.lang.String getExchangeResponse()

  Returns:

### getSendRequest

    public static final java.lang.String getSendRequest()

  Returns:

### getSendResponse

    public static final java.lang.String getSendResponse()

  Returns:

### getWaitRequest

    public static final java.lang.String getWaitRequest()

  Returns:

### getWaitResponse

    public static final java.lang.String getWaitResponse()

  Returns:

### getHandleRequest

    public static final java.lang.String getHandleRequest()

  Returns:

### getHandleResponse

    public static final java.lang.String getHandleResponse()

  Returns:

### getGetDateTimeRequest

    public static final java.lang.String getGetDateTimeRequest()

  Returns:

### getGetDateTimeResponse

    public static final java.lang.String getGetDateTimeResponse()

  Returns:

### getSMAGetStatusRequest

    public static final java.lang.String getSMAGetStatusRequest()

  Returns:

### getSMAGetStatusResponse

    public static final java.lang.String getSMAGetStatusResponse()

  Returns:

### getExchangeFileRequest

    public static final java.lang.String getExchangeFileRequest()

  Returns:

### getExchangeFileResponse

    public static final java.lang.String getExchangeFileResponse()

  Returns:

### getHandleFileRequest

    public static final java.lang.String getHandleFileRequest()

  Returns:

### getHandleFileResponse

    public static final java.lang.String getHandleFileResponse()

  Returns:

### getFetchFileRequest

    public static final java.lang.String getFetchFileRequest()

  Returns:

### getFetchFileResponse

    public static final java.lang.String getFetchFileResponse()

  Returns:

### getGetFileStatusRequest

    public static final java.lang.String getGetFileStatusRequest()

  Returns:

### getGetFileStatusResponse

    public static final java.lang.String getGetFileStatusResponse()

  Returns:

### getListFileStatusRequest

    public static final java.lang.String getListFileStatusRequest()

  Returns:

### getListFileStatusResponse

    public static final java.lang.String getListFileStatusResponse()

  Returns:

### getAbortFileRequest

    public static final java.lang.String getAbortFileRequest()

  Returns:

### getAbortFileResponse

    public static final java.lang.String getAbortFileResponse()

  Returns:

### getSubscribeFileEventRequest

    public static final java.lang.String getSubscribeFileEventRequest()

  Returns:

### getSubscribeFileEventResponse

    public static final java.lang.String getSubscribeFileEventResponse()

  Returns:

### getHandleFileEventRequest

    public static final java.lang.String getHandleFileEventRequest()

  Returns:

### getHandleFileEventResponse

    public static final java.lang.String getHandleFileEventResponse()

  Returns:

### getGetFileDigestRequest

    public static final java.lang.String getGetFileDigestRequest()

  Returns:

### getGetFileDigestResponse

    public static final java.lang.String getGetFileDigestResponse()

  Returns:

### getExchangeSnFRequest

    public static final java.lang.String getExchangeSnFRequest()

  Returns:

### getExchangeSnFResponse

    public static final java.lang.String getExchangeSnFResponse()

  Returns:

### getHandleSnFRequest

    public static final java.lang.String getHandleSnFRequest()

  Returns:

### getHandleSnFResponse

    public static final java.lang.String getHandleSnFResponse()

  Returns:

### getPullSnFRequest

    public static final java.lang.String getPullSnFRequest()

  Returns:

### getPullSnFResponse

    public static final java.lang.String getPullSnFResponse()

  Returns:

### getGetSnFStatusRequest

    public static final java.lang.String getGetSnFStatusRequest()

  Returns:

### getGetSnFStatusResponse

    public static final java.lang.String getGetSnFStatusResponse()

  Returns:

### getHandleResponseInfoRequest

    public static final java.lang.String getHandleResponseInfoRequest()

  Returns:

### getHandleResponseInfoResponse

    public static final java.lang.String getHandleResponseInfoResponse()

  Returns:

### getKMACertifyRequest

    public static final java.lang.String getKMACertifyRequest()

  Returns:

### getKMACertifyResponse

    public static final java.lang.String getKMACertifyResponse()

  Returns:

### getKMACertListRequest

    public static final java.lang.String getKMACertListRequest()

  Returns:

### getKMACertListResponse

    public static final java.lang.String getKMACertListResponse()

  Returns:

### getKMACertInfoRequest

    public static final java.lang.String getKMACertInfoRequest()

  Returns:

### getKMACertInfoResponse

    public static final java.lang.String getKMACertInfoResponse()

  Returns:

### getKMAChangePasswordRequest

    public static final java.lang.String getKMAChangePasswordRequest()

  Returns:

### getKMAChangePasswordResponse

    public static final java.lang.String getKMAChangePasswordResponse()

  Returns:

### hasValue

    public static final boolean hasValue(java.lang.String value)

  Checks whether the constant category has/contains the specified value.

  Parameters:
    `value` - The value to be checked.
  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.